/*
* Licensed Materials - Property of IBM Corp.
* IBM UrbanCode Build
* IBM UrbanCode Deploy
* IBM UrbanCode Release
* IBM AnthillPro
* (c) Copyright IBM Corporation 2002, 2016. All Rights Reserved.
*
* U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
* GSA ADP Schedule Contract with IBM Corp.
*/

import com.urbancode.air.AirPluginTool;
import com.urbancode.air.plugin.websphere.WebSphereCmdLineHelper

def apTool = new AirPluginTool(this.args[0], this.args[1]);
def props = apTool.getStepProperties();

def PLUGIN_HOME= System.getenv("PLUGIN_HOME");
def cuname = props['cuname'];
def blaname = props['blaname'];
def force = props['force']
def pluginHome = new File(PLUGIN_HOME);
def scriptsDir = new File(pluginHome, "jythonScripts")
def scriptFile = new File(scriptsDir, "deleteCompUnit.jython");
def scriptPath = scriptFile.absolutePath; 
WebSphereCmdLineHelper helper = new WebSphereCmdLineHelper(props);
def args = [];
args << cuname;
args << blaname;
args << force;
helper.runWSAdminScript(scriptPath, "Deleting composition unit", args as String[]);
